---
title: "Update a particular registry details"
slug: "update-a-particular-registry-details"
updated: 2026-04-04T02:22:39Z
published: 2026-04-04T02:22:47Z
---

> ## Documentation Index
> Fetch the complete documentation index at: https://support.fortanix.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a particular registry details

Patch/v1/registry/{registry-id}

Update a particular registry details. Description and credential are the only editable field of a registry.

SecurityAPI Key: bearerTokenHeader parameter nameAuthentication

A JWT bearer token to be passed once authenticated.

Path parametersregistry-idstring (uuid) Required

UUID of a registry.

Body parameters

Request to update registry details.

<select class='api-response-data' aria-label='Media type'><option value='3e0de0bc-dc2f-4441-a141-a235d1257a10'>application/json</option>
</select>Array of object   object  

A JSONPatch document as defined by RFC 6902. The patch operation is subset of what is supported by RFC 6902.

opstring    Required

The operation to be performed

Valid values[
  "add",
  "remove",
  "replace"
]
pathstring    Required

It is JSON pointer indicating a field to be updated

valueobject  

It is the value to be used for the field as indicated by op and path

Responses200

Registry information.

<select class='api-response-data' aria-label='Media type'><option value='c07c01c9-4bd8-45ec-a47a-0b5b156ee87b'>application/json</option>
</select>object  urlstring    

URL of the registry.

registry_idstring  (uuid)    

UUID of the registry.

descriptionstring    

Description of the registry.

usernamestring    

Username of the registry.
